GUID = { 110,91,157,190,18,23,250,78,144,20,41,246,181,128,214,12 }
GameRulesName = "Pie Plate Test 1.0.0"
Description = "For taking screenshots of levels."

Directories =
{
  Levels = "data:LevelData\\Multiplayer\\homeworldclassic\\,data:LevelData\\Multiplayer\\pieplatetest\\,data:LevelData\\Multiplayer\\DeathMatch\\,data:LevelData\\Multiplayer\\DeathMatchHW1\\,data:LevelData\\Multiplayer\\DeathMatchHW2\\",
  ProfileLevels = "profiles:Levels\\homeworldclassic\\,profiles:Levels\\pieplatetest\\,profiles:Levels\\Deathmatch\\,profiles:Levels\\DeathmatchHW1\\,profiles:Levels\\DeathmatchHW2\\, ",
  BuildAndResearch = "data:LevelData\\Multiplayer\\DeathMatch\\BuildAndResearch\\",
}

GameSetupOptions =
{
    {
        name = "resources",
        locName = "$3240",
        tooltip = "$3239",
        default = 1,
        visible = 1,
        choices =
        {
            "$3241", "0.5",
            "$3242", "1.0",
            "$3243", "2.0",
        },
    },
    {
        name = "unitcaps",
        locName = "$3214",
        tooltip = "$3234",
        default = 1,
        visible = 1,
        choices =
        {
            "$3215", "Small",
            "$3216", "Normal",
            "$3217", "Large",
			"$4801", "Huge",	--to localize
        },
    },
    {
        name = "resstart",
        locName = "$3205",
        tooltip = "$3232",
        default = 0,
        visible = 1,
        choices =
        {
            "$3206", "1000",
            "$3207", "3000",
            "$3208", "10000",
            "$3209", "0",
        },
    },
    {
        name = "lockteams",
        locName = "$3220",
        tooltip = "$3235",
        default = 0,
        visible = 1,
        choices =
        {
            "$3221", "yes",
            "$3222", "no",
        },
    },
    {
        name = "startlocation",
        locName = "$3225",
        tooltip = "$3237",
        default = 0,
        visible = 1,
        choices =
        {
            "$3226", "random",
            "$3227", "fixed",
        },
    },
}
dofilepath("data:scripts/SCAR/SCAR_Util.lua")
dofilepath("data:scripts/scar/restrict.lua")

function OnInit()
	Rule_Add("pieplatetest")
    MPRestrict()
end

function pieplatetest()
	Event_Start("pausegame")
--	Universe_Pause(0, 100)
--	Universe_AllowClicks(0)
--	Camera_AllowControl(0)
--	Camera_UsePanning(0)
	Camera_UseCameraPoint("pieplatetest")
	Rule_Remove("pieplatetest")
end

Events = {}
Events.pausegame =
{
	{
		HW2_Pause(1),
	},
}
